Subject: RE: [Sipping] how to transfer hookflash event, e.g. in a 3-way conference call?

From: "GARCIN Sebastien RD-CORE-ISS" <[email-masked]>
Date: Tue, 21 Nov 2006 17:28:01 +0100

For your information, TISPAN has described two scenario for hookflash interpretation as part the PSTN emulation subsystem (sorry for the vocabulary):
- local interpretation
- remote interpretation from an AS (in this case the hookflash event is sent in the request-uri of the INVITE)

sébastien 

-----Message d'origine-----
De : Tom-PT Taylor [mailto:[email-masked]] 
Envoyé : mardi 21 novembre 2006 16:07
À : Paul Kyzivat
Cc : [email-masked]; CheungJenny
Objet : Re: [Sipping] how to transfer hookflash event,e.g. in a 3-way conference call?

I shuddered to see the concept of stimulus signalling in SIP in some of the test cases for our recent MultiService Forum interoperability event.
The counter-argument I received is that there is a requirement for such signalling when black telephones sit behind a SIP-speaking IAD and the meaning of "flash" in a given context is held in service logic in an application server. I'll also mention that we are talking about logic that varies from country to country. At my instigation the MSF is investigating the requirements as they relate both to architecture and protocol selection.

Paul Kyzivat wrote:
> Generally in sip you would expect the device to handle the hookflash 
> locally (because it is a user interface issue), decide it is a request 
> to transfer, and then initiate the transfer itself. So the hookflash 
> need not be signaled remotely.
> 
> 	Paul
> 
> CheungJenny wrote:
>> Hi,
>>  
>> I have a question about "hookflash event transfer".
>> Because DTMF signal can be transfered in 3 ways: INFO, inband and 
>> AVT, can hookflash be transfered using the same 3 methods?
>> What I want to know is, if I hookflash, how does the peer gets to know this?
>>  
>> Thanks.
>>  
>>
>> ---------------------------------------------------------------------
>> --- Windows Live Safety Center 为您的计算机提供免费的安全扫描服务。 它是免费
>> 的！ <http://safety.live.com/site/ZH-CN/default.htm>
>>
>>
>> ---------------------------------------------------------------------
>> ---
>>
>> _______________________________________________
>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>> This list is for NEW development of the application of SIP Use 
>> [email-masked] for questions on current sip Use 
>> [email-masked] for new developments of core SIP
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP Use [email-masked] for questions on current sip Use [email-masked] for new developments of core SIP
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP